summaryrefslogtreecommitdiffstats
path: root/lib/undercloud-functions.sh
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-08-18 17:03:02 -0400
committerDan Radez <dradez@redhat.com>2016-08-22 11:19:54 -0400
commitb55e605853d91e6c7078101238dd52c3904e83eb (patch)
tree09c4c49c08b2557aabcb889fa0b43b8235771eeb /lib/undercloud-functions.sh
parent7de33840b2cb0d9ccf29b28fa477f5bb57b2508c (diff)
removing enabled_network_list as an argument to network env
NetworkSettings Object is being rendered and passed to net env object already. We can get the enabled network list from the network settings object instead of passing it in as an arg. Basically just removing duplicate arguments to the network env object. Change-Id: I828c60878a0432cae2b37c08ae1896dce49071d0 Signed-off-by: Dan Radez <dradez@redhat.com>
Diffstat (limited to 'lib/undercloud-functions.sh')
-rwxr-xr-xlib/undercloud-functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/lib/undercloud-functions.sh b/lib/undercloud-functions.sh
index f5b53ee7..5e9a5caa 100755
--- a/lib/undercloud-functions.sh
+++ b/lib/undercloud-functions.sh
@@ -136,12 +136,12 @@ function configure_undercloud {
ovs_dpdk_bridge=''
fi
- if ! controller_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r controller -s $NETSETS $net_isolation_arg -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e "br-ex" -af $ip_addr_family); then
+ if ! controller_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r controller -s $NETSETS $net_isolation_arg -t $CONFIG/nics-template.yaml.jinja2 -e "br-ex" -af $ip_addr_family); then
echo -e "${red}ERROR: Failed to generate controller NIC heat template ${reset}"
exit 1
fi
- if ! compute_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r compute -s $NETSETS $net_isolation_arg -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
+ if ! compute_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r compute -s $NETSETS $net_isolation_arg -t $CONFIG/nics-template.yaml.jinja2 -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
echo -e "${red}ERROR: Failed to generate compute NIC heat template ${reset}"
exit 1
fi